#!/bin/bash
BOWTIE2=/home/ywy/devel/bowtie2-2.1.0/bowtie2
BWA=$HOME/devel/bwa-0.7.5a/bwa
#$BWA index ../hs37d5.fa

<<COMMENT
if [ "$#" -lt 3 ]
then
	echo Usage: $0 pair1.fastq pair2.fastq unpaired.fastq
	exit
fi
COMMENT

date
pair1=SRR622461_1.filt.fastq
pair2=SRR622461_2.filt.fastq
pair0=SRR622461.filt.fastq
#pair1=$1
#pair2=$2
#pair0=$3

#$BWA aln ../hs37d5.fa $pair1 > $pair1.sai
#$BWA aln ../hs37d5.fa $pair2 > $pair2.sai
#$BWA aln ../hs37d5.fa $pair0 > $pair0.sai
$BWA sampe -P ../hs37d5.fa \
	$pair1.sai $pair2.sai \
	$pair1 $pair2 \
	-r "@RG\tID:SRR622461\tSM:NA12878" > NA12878.bwa.sam
$BWA samse ../hs37d5.fa $pair0.sai $pair0 \
	-r "@RG\tID:SRR622461\tSM:NA12878" > NA12878.bwa.unpaired.sam

date
