#!/bin/bash
SAMTOOLS=$HOME/devel/samtools/samtools
GATK="java -jar $HOME/devel/GenomeAnalysisTK-2.4-7-g5e89f01/GenomeAnalysisTK.jar"
PICARD="java -jar $HOME/devel/picard-tools-1.88"
REF=/mnt/work/ywy/barn/hs37d5.fa
if [ ! -e "${REF}.fai" ]
then
	$SAMTOOLS faidx $REF
fi
if [ ! -e "${REF%.*}.dict" ]
then
	$PICARD/CreateSequenceDictionary.jar R= $REF O= ${REF%.*}.dict
fi


BAMFILE=$1

#BAMFILE=$SAMFILE.bam
#BAMFILE=$1
if [ ! -e "$BAM_FILE.bai" ]
then
	echo `date`: indexing $BAMFILE
	$SAMTOOLS index $BAM_FILE
fi
echo `date`: Running GATK
$GATK -R $REF -T UnifiedGenotyper -I $BAMFILE -o $BAMFILE.gatk.vcf -nt 10
echo `date`: Extracting positions
posqual.sh $BAMFILE.gatk.vcf

