#!/bin/bash
SAMTOOLS=$HOME/devel/samtools/samtools
REF=/mnt/work/ywy/barn/hs37d5.fa
#BAM_FILE=$1
BCFTOOLS=$HOME/devel/samtools/bcftools/bcftools
VCFUTILS=$HOME/devel/samtools/bcftools/vcfutils.pl

date
if [ ! -e "${REF}.fai" ]
then
	$SAMTOOLS faidx $REF
fi
for BAM_FILE in $@
do
	if [ ! -e "$BAM_FILE.bai" ]
	then
		$SAMTOOLS index $BAM_FILE
	fi
	$SAMTOOLS mpileup -uf $REF $BAM_FILE | $BCFTOOLS view -bvcg - > $BAM_FILE.samtools.raw.bcf
	$BCFTOOLS view $BAM_FILE.samtools.raw.bcf > $BAM_FILE.samtools.raw.vcf
	$BCFTOOLS view $BAM_FILE.samtools.raw.bcf |$VCFUTILS varFilter  > $BAM_FILE.samtools.flt.vcf
	$BCFTOOLS view $BAM_FILE.samtools.raw.bcf |$VCFUTILS varFilter -2 0  > $BAM_FILE.samtools.flt2_0.vcf
	$BCFTOOLS view $BAM_FILE.samtools.raw.bcf |$VCFUTILS varFilter -D 100  > $BAM_FILE.samtools.flt_D_100.vcf
	posqual.sh $BAM_FILE.samtools.raw.vcf
	posqual.sh $BAM_FILE.samtools.flt.vcf
	posqual.sh $BAM_FILE.samtools.flt2_0.vcf
	posqual.sh $BAM_FILE.samtools.flt_D_100.vcf
done
date
